summaryrefslogtreecommitdiffstats
path: root/libraries/libconfig
diff options
context:
space:
mode:
author Manuel Arg├╝elles <manuel.arguelles@gmail.com>2013-10-26 10:39:35 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-10-27 23:38:53 -0500
commit474b854983052a3e2440087101e6d1747cee15d2 (patch)
tree8d40756cfcf8f8de26535e4d65e112e25a0f5346 /libraries/libconfig
parentf8c6d6b99d8702deaca78400ee16433e5c3e7e15 (diff)
downloadslackbuilds-474b854983052a3e2440087101e6d1747cee15d2.tar.gz
slackbuilds-474b854983052a3e2440087101e6d1747cee15d2.tar.xz
libraries/libconfig: Added (library for processing structured configuration files)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/libconfig')
-rw-r--r--libraries/libconfig/README11
-rw-r--r--libraries/libconfig/libconfig.SlackBuild105
-rw-r--r--libraries/libconfig/libconfig.info10
-rw-r--r--libraries/libconfig/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/libconfig/README b/libraries/libconfig/README
new file mode 100644
index 0000000000..546a0789c0
--- /dev/null
+++ b/libraries/libconfig/README
@@ -0,0 +1,11 @@
+Libconfig is a simple library for processing structured configuration
+files. This file format is more compact and more readable than XML and
+unlike XML, it is type-aware, so it is not necessary to do string
+parsing in application code.
+
+It is very compact and well-suited for memory-constrained systems like
+handheld devices.
+
+The library includes bindings for both the C and C++ languages. It
+works on POSIX-compliant UNIX systems (GNU/Linux, Mac OS X, Solaris,
+FreeBSD) and Windows (2000, XP and later).
diff --git a/libraries/libconfig/libconfig.SlackBuild b/libraries/libconfig/libconfig.SlackBuild
new file mode 100644
index 0000000000..18768d31d3
--- /dev/null
+++ b/libraries/libconfig/libconfig.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Copyright <year> <you> <where you live>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libconfig
+VERSION=${VERSION:-1.4.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL COPYING.LIB AUTHORS README ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libconfig/libconfig.info b/libraries/libconfig/libconfig.info
new file mode 100644
index 0000000000..652042c3c9
--- /dev/null
+++ b/libraries/libconfig/libconfig.info
@@ -0,0 +1,10 @@
+PRGNAM="libconfig"
+VERSION="1.4.9"
+HOMEPAGE="http://www.hyperrealm.com/libconfig/"
+DOWNLOAD="http://www.hyperrealm.com/libconfig/libconfig-1.4.9.tar.gz"
+MD5SUM="b6ee0ce2b3ef844bad7cac2803a90634"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Manuel Arg├╝elles"
+EMAIL="manuel.arguelles@gmail.com"
diff --git a/libraries/libconfig/slack-desc b/libraries/libconfig/slack-desc
new file mode 100644
index 0000000000..21eeb02885
--- /dev/null
+++ b/libraries/libconfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libconfig: libconfig (Library for processing structured configuration files)
+libconfig:
+libconfig: Libconfig is a simple library for processing structured configuration
+libconfig: files. This file format is more compact and more readable than XML
+libconfig: and unlike XML, it is type-aware, so it is not necessary to do string
+libconfig: parsing in application code. It is very compact and well-suited for
+libconfig: memory-constrained systems like handheld devices.
+libconfig:
+libconfig: The library includes bindings for both the C and C++ languages.
+libconfig:
+libconfig: